# core/__init__.py

# Import the Celery app instance from the celery.py file in the same directory (core/celery.py).
# The celery.py file is where the Celery app instance is created and configured.
from .celery import app as celery_app

# The __all__ variable is used to define what should be exported when someone imports the package (core).
# By specifying __all__ = ("celery_app",), we are explicitly stating that the celery_app should be exported
# when someone imports the core package.
__all__ = ("celery_app",)
